%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name PyNaCl

Name: python%{python_suffix}-pynacl
Version: 1.4.0
Release: 1
License: Apache-2.0
Summary: Python binding to the Networking and Cryptography (NaCl) library
Url: https://github.com/pyca/pynacl/

Source: https://files.pythonhosted.org/packages/source/P/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip
BuildRequires: libffi-devel
BuildRequires: libsodium-devel >= 1.0.18
BuildRequires: pkg-config

BuildRequires: python%{python_suffix}-cffi
BuildRequires: python%{python_suffix}-six

Requires: libsodium23 >= 1.0.18

Requires: python%{python_suffix}-cffi
Requires: python%{python_suffix}-six

%description
PyNaCl is a Python binding to libsodium, which is a fork of the Networking and
Cryptography library. These libraries have a stated goal of improving usability,
security and speed.

%prep
%setup -q -n %{pypi_name}-%{version}

%build

export SODIUM_INSTALL=system
%py_build_wheel

%install
%py_install_wheel %{pypi_name}-%{version}-cp%{python_version_nodots}-cp%{python_version_nodots}-os400_powerpc64.whl

sed -i 's|pip|rpm|g' %{buildroot}%{python_sitelib}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{python_sitelib}/PyNaCl*
%{python_sitelib}/nacl*


%changelog
* Wed Jul 21 2021 Mark Irish <mirish@ibm.com> - 1.4.0
- Increment version to 1.4.0
- Change to "pretty" pythonhosted.org URL

* Tue Jun 22 2021 Kevin Adler <kadler@us.ibm.com> - 1.2.1
- Port to Python 3.9
- Use macros from python-rpm-macros

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Remove -I and --no-deps from pip install so dependencies build from yum
- Remove uneeded BuildRequires

* Mon Dec 10 2018 - mengxumx <mengxumx@cn.ibm.com>
- Initial commit
